---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/grids/grids__add_columns.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Add Columns

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/grids/{idx}/columns
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;uuid4&gt;

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "revision": "example",
  "position": 0,
  "columns": [
    {
      "id": "example",
      "slug": "example",
      "title": "example",
      "type": "string",
      "required": true,
      "width": 0,
      "width_units": "%",
      "pinned": "left",
      "color": "blue",
      "multiple": true,
      "format": "yfm",
      "ticket_field": "assignee",
      "select_options": [
        "example"
      ],
      "mark_rows": true,
      "description": "example"
    }
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_columns_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [NewColumnSchema](#entity-NewColumnSchema)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "title": "example",
    "type": "string",
    "required": true,
    "width": 0,
    "width_units": "%",
    "pinned": "left",
    "color": "blue",
    "multiple": true,
    "format": "yfm",
    "ticket_field": "assignee",
    "select_options": [
      "example"
    ],
    "mark_rows": true,
    "description": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_position_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### ColumnType {#entity-ColumnType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `string`, `number`, `date`, `select`, `staff`, `checkbox`, `ticket`, `ticket_field`

</div>

<div class="openapi-entity">

### WidthUnits {#entity-WidthUnits}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `%`, `px`

</div>

<div class="openapi-entity">

### ColumnPinTypes {#entity-ColumnPinTypes}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `left`, `right`

</div>

<div class="openapi-entity">

### BGColor {#entity-BGColor}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

</div>

<div class="openapi-entity">

### TextFormat {#entity-TextFormat}

Text format:
- `yfm` — Yandex Flavored Markdown
- `wom` — Wiki Old Markup (the old markup)
- `plain` — plain text


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `yfm`, `wom`, `plain`

</div>

<div class="openapi-entity">

### TicketField {#entity-TicketField}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `assignee`, `components`, `created_at`, `deadline`, `description`, `end`, `estimation`, `fixversions`, `followers`, `last_comment_updated_at`, `original_estimation`, `parent`, `pending_reply_from`, `priority`, `project`, `queue`, `reporter`, `resolution`, `resolved_at`, `sprint`, `start`, `status`, `status_start_time`, `status_type`, `storypoints`, `subject`, `tags`, `type`, `updated_at`, `votes`

</div>

<div class="openapi-entity">

### NewColumnSchema {#entity-NewColumnSchema}

Schema for creating a new column in a dynamic table

#|
|| **Name** | **Description** ||
||

_required_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Whether the column is required
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique text identifier of the column (used in formulas and the API)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Column title (displayed in the interface)

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Max length:_{.json-schema-reset .json-schema-assertion} `255`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ColumnType**

  **Type**: [ColumnType](#entity-ColumnType)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `string`, `number`, `date`, `select`, `staff`, `checkbox`, `ticket`, `ticket_field`

{% endcut %}

Column data type

_Example:_{.json-schema-reset .json-schema-example} `string`
{.table-cell}
||
||

_color_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **BGColor**

  **Type**: [BGColor](#entity-BGColor)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `blue`, `yellow`, `pink`, `red`, `green`, `mint`, `grey`, `orange`, `magenta`, `purple`, `copper`, `ocean`

{% endcut %}

Column background color

_Example:_{.json-schema-reset .json-schema-example} `blue`
{.table-cell}
||
||

_description_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Column description

_Max length:_{.json-schema-reset .json-schema-assertion} `1024`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_format_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **TextFormat**

  **Type**: [TextFormat](#entity-TextFormat)

  Text format:
  - `yfm` — Yandex Flavored Markdown
  - `wom` — Wiki Old Markup (the old markup)
  - `plain` — plain text


  _Enum:_{.json-schema-reset .json-schema-value} `yfm`, `wom`, `plain`

{% endcut %}

For `text` only; text format (None means plain text without formatting)

_Example:_{.json-schema-reset .json-schema-example} `yfm`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Unique column identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_mark_rows_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

For `checkbox` only; marks the row as completed in the interface
{.table-cell}
||
||

_multiple_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

For `select` and `staff` only; enables multiple selection
{.table-cell}
||
||

_pinned_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ColumnPinTypes**

  **Type**: [ColumnPinTypes](#entity-ColumnPinTypes)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `left`, `right`

{% endcut %}

Column pinning (left, right, or unpinned)

_Example:_{.json-schema-reset .json-schema-example} `left`
{.table-cell}
||
||

_select_options_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string[]

For `select` only; defines the available options

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  "example"
]
```

{% endcut %}
{.table-cell}
||
||

_ticket_field_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **TicketField**

  **Type**: [TicketField](#entity-TicketField)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `assignee`, `components`, `created_at`, `deadline`, `description`, `end`, `estimation`, `fixversions`, `followers`, `last_comment_updated_at`, `original_estimation`, `parent`, `pending_reply_from`, `priority`, `project`, `queue`, `reporter`, `resolution`, `resolved_at`, `sprint`, `start`, `status`, `status_start_time`, `status_type`, `storypoints`, `subject`, `tags`, `type`, `updated_at`, `votes`

{% endcut %}

For `ticket-field` only; the ticket field from Tracker

_Example:_{.json-schema-reset .json-schema-example} `assignee`
{.table-cell}
||
||

_width_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Column width
{.table-cell}
||
||

_width_units_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **WidthUnits**

  **Type**: [WidthUnits](#entity-WidthUnits)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `%`, `px`

{% endcut %}

Column width units

_Example:_{.json-schema-reset .json-schema-example} `%`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "title": "example",
  "type": "string",
  "required": true,
  "width": 0,
  "width_units": "%",
  "pinned": "left",
  "color": "blue",
  "multiple": true,
  "format": "yfm",
  "ticket_field": "assignee",
  "select_options": [
    "example"
  ],
  "mark_rows": true,
  "description": "example"
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "revision": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.